Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 5594 - Apparent optimizing bug in egcs
Summary: Apparent optimizing bug in egcs
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: egcs
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-05 17:17 UTC by guichard
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-07 21:50:00 UTC


Attachments (Terms of Use)
Test case and further discussion from reporter (deleted)
2000-01-26 17:52 UTC, Jim Kingdon
no flags Details

Description guichard 1999-10-05 17:17:21 UTC
Trying to compile amaya 2.1 I get errors like this:

../../thotlib/unicode/ustring.c: In function `ustrcpy':
../../thotlib/unicode/ustring.c:380: void value not ignored
as it ought to be
../../thotlib/unicode/ustring.c: In function `ustrdup':
../../thotlib/unicode/ustring.c:397: void value not ignored
as it ought to be
../../thotlib/unicode/ustring.c: In function `ustrncpy':
../../thotlib/unicode/ustring.c:481: void value not ignored
as it ought to be

When I compile without -O it works fine. I get this behavior
in egcs-1.1.2-12 on intel and egcs-1.1.2-12 & -13 on sparc,
both with 6.0 (sparc with updated kernel). There is no
problem with gcc-2.7.2.3-11 on my redhat 5.1 machine.

Comment 1 Jim Kingdon 1999-10-05 20:39:59 UTC
Please send the output of gcc -E on the file in question, combined
with the exact command line (e.g "gcc -g -O foo.c") required to
get the error.

Incidentally, I would guess the difference between your two
systems is because of different libraries rather than
gcc2.7 vs. egcs.  But send in the code and I'll have a look.

Comment 2 Jim Kingdon 2000-01-26 17:52:59 UTC
Created attachment 79 [details]
Test case and further discussion from reporter

Comment 3 Cristian Gafton 2000-02-07 21:50:59 UTC
The glibc headers should fix this in the current rawhide version


Note You need to log in before you can comment on or make changes to this bug.